<div class="row"
     [formGroup]="formGroup">
  <div class="col-12">
    <input id="adminCheckbox" class="form-check-inline" type="checkbox"
           [formControlName]="UserRoles.admin"> <label for="adminCheckbox">Admin</label>
  </div>
  <div class="col-12">
    <input id="contentWriterCheckbox" class="form-check-inline" type="checkbox"
           [formControlName]="UserRoles.contentWriter"> <label for="contentWriterCheckbox">Content writer</label>
  </div>
  <div class="col-12">
    <input id="operatorCheckbox" class="form-check-inline" type="checkbox"
           [formControlName]="UserRoles.operator"> <label for="operatorCheckbox">Operator</label>
  </div>
</div>


<table class="table mt-5">
  <thead>
  <tr>
    <th>Role</th>
    <th>Is in role</th>
  </tr>
  </thead>
  <tbody>
  <tr>
    <td>Admin</td>
    <td>
      <span *hasRoles="[UserRoles.admin]; else: isNotAdminTemplate">YES</span>
      <ng-template #isNotAdminTemplate>
        <span class="text-danger">Not an admin</span>
      </ng-template>
    </td>
  </tr>
  <tr>
    <td>Content writer</td>
    <td>
      <span *hasRoles="[UserRoles.contentWriter]; else: isNotContentWriterTemplate">YES</span>
      <ng-template #isNotContentWriterTemplate>
        <span class="text-danger">Not a content writer</span>
      </ng-template>
    </td>
  </tr>
  <tr>
    <td>Operator</td>
    <td>
      <span *hasRoles="[UserRoles.operator]; else: isNotOperatorTemplate">YES</span>
      <ng-template #isNotOperatorTemplate>
        <span class="text-danger">Not an operator</span>
      </ng-template>
    </td>
  </tr>
  </tbody>
</table>
